import javax.swing.*;

public class peng_robinson_test
{
public static void main(String arg[])
{
peng_robinson p=new peng_robinson();
double T=Double.parseDouble(JOptionPane.showInputDialog("T (derece K) ="));
double P=Double.parseDouble(JOptionPane.showInputDialog("P bar ="));
double v=p.v(T,P);
double P1=p.P(T,v);
double u=p.u(T,v);
String s="T="+T+"derece K"+"v="+v+"m^3/kmol"+"P="+P+"bar"+"P1="+P1+"bar "+"u="+u+"kJ/kmol";
JOptionPane.showMessageDialog(null,s);
}


}